<?php 
 
  include_once 'cabecera.php';

 
?>

   
    <html>
      <head>
 <style type="text/css">
	body{
		background: #E1E1E1;
		
	}
</style>	

	<br>	
<div class="container" style="padding:18px; background: white;">

 <img src="img2/dinero.png" width="60" style="margin-bottom:0px"><span class="text-primary h3"> Registro de cobros por cobrador</span><br><br>
   

<hr>


<form action="" method="POST">
<div class="row">
	<div class="col-xs-2 col-md-1 mt-2"><b>Desde</b></div>
	<div class="col-xs-4 col-md-3"><input type="Date" id="fecha1" name="fecha1" class="form-control mt-2" value="<?php echo $hoy;?>"></div>
	
	<div class="col-xs-2 col-md-1 mt-2"><b>Hasta</b></div>
	<div class="col-xs-4 col-md-3"><input type="Date" id="fecha2" name="fecha2" class="form-control mt-2" value="<?php echo $hoy;?>"></div>
	</div>
	 <hr>
	<div class="row">
	<div class="col-md-12"><button class="btn btn-ubuntu mt-2" name="btn_cosulta"><i class="fa fa-coins"></i> Consultar</button>
	<a class="btn btn-default mt-2" href="index.php"><i class="fa fa-undo"></i> Atras</a> </div>
	</div>

<br>
 
 
 <div class="row">
  <div class="col-md-12">
	<div class="table-responsive">
	<table class="table table-hover table-striped">
	<th>COBRADOR</th><th>CAPITAL</th><th>INTERES</th><th>MORA</th><th>COMISION</th><th>TOTAL</th>
		<?php 
	
		if(isSet($_POST["btn_cosulta"])){
				include_once 'src/config.php';
			$fecha1 = $_POST["fecha1"];
			$fecha2 = $_POST["fecha2"];
			$usuario = $_SESSION["user"];
			$itotal =0 ;
			$sql1 = mysql_query("select nombre  from usuario") or die(mysql_error());
			while($row1 = mysql_fetch_array($sql1)){
				echo "<tr>";
				$nombre = $row1["nombre"];
			
				echo "<td><b class='text-rojo'>$nombre</b></td>";
				
				echo "<td>".get_abono($nombre, $fecha1, $fecha2)."</td>";
				echo "<td>".get_interes($nombre, $fecha1, $fecha2)."</td>";
				echo "<td>".get_mora($nombre, $fecha1, $fecha2)."</td>";
				echo "<td>".get_comision($nombre, $fecha1, $fecha2)."</td>";
				echo "<td>".get_total($nombre, $fecha1, $fecha2)."</td>";
			
			
				echo "</tr>";
				
			
			
				
				
			}
			
		}
		
		
		function get_interes($nombre, $fecha1, $fecha2){

		   global $total_interes;
			$sql2 = mysql_query("select sum(interes) as total from pago_mobil where cobrador='$nombre' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
			$total =mysql_fetch_row($sql2);
			
			$total_interes +=$total[0];
			return decimal($total[0]);
		}
		
		
		function get_mora($nombre, $fecha1, $fecha2){
		    global $total_mora;
			$sql2 = mysql_query("select sum(mora) as total from pago_mobil where cobrador='$nombre' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
			$total =mysql_fetch_row($sql2);
			
			$total_mora +=$total[0];
			return decimal($total[0]);
		}
		
			function get_abono($nombre, $fecha1, $fecha2){
			    global $total_capital;
			    global $abono;
			$sql2 = mysql_query("select sum(capital) as total from pago_mobil where cobrador='$nombre' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
			$total =mysql_fetch_row($sql2);
			
			$total_capital +=$total[0];
			$abono =$total[0];
			return decimal($abono);
		}
		
				function get_comision($nombre, $fecha1, $fecha2){
			    global $comision;
			$sql2 = mysql_query("select sum(comision) as total from pago_mobil where cobrador='$nombre' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
			$total =mysql_fetch_row($sql2);
			
			$comision +=$total[0];
			return decimal($total[0]);
		}
		
		function get_total($nombre, $fecha1, $fecha2){
		    global $gtotal;
			$sql2 = mysql_query("select sum(total) as total from pago_mobil where cobrador='$nombre' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
			$total =mysql_fetch_row($sql2);

			$sql3 = mysql_query("select sum(comision) as total from pago_mobil where cobrador='$nombre' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
			$total3 =mysql_fetch_row($sql3);
			
			$t =$total[0];
		 	$t2=$total3[0];
		 	
		 	$gtotal+=$total[0] - $total3[0];
		 	
			$res = $t - $t2;
			return decimal($res);
		}
		
		
		?>
		
	<tfoot>
	
	</tfoot>	
	</table>
	<br>
	<div style="font-size:20px" class="btn-orange">
    <b>TOTAL CAPITAL:</b> <?php echo decimal($total_capital);?>
     <b>|    TOTAL INTERES:</b> <?php echo decimal($total_interes);?>
     <br><b>|   TOTAL MORA:</b> <?php echo decimal($total_mora);?>
     <b>|   TOTAL COMISIONES:</b> <?php echo decimal($comision);?>
     <b>|   TOTAL INGRESO</b>: <?php echo decimal($gtotal);?>
     
  </div>
	</div>
  </div>
 </div>
</form>

</div>


<?php 
 include_once 'footer.php';

 ?>